Bug 4235 - ntlm_auth sends BH responses without a message
ntlm_auth sends BH responses without a message
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: ntlm_auth tool
3.0.23d
Other FreeBSD
: P3 normal
: none
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 08:51 UTC by Pawel Worach
Modified: 2008-03-19 21:50 UTC (History)
2 users (show)

See Also:


Attachments
Add missing messages. (7.12 KB, patch)
2006-11-17 08:52 UTC, Pawel Worach
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Worach 2006-11-17 08:51:01 UTC
According to http://devel.squid-cache.org/ntlm/squid_helper_protocol.html a message parameter in the BH (broken helper) reply is mandatory. Squid dies if a message with only "BH\n" is sent to it.
Comment 1 Pawel Worach 2006-11-17 08:52:21 UTC
Created attachment 2223 [details]
Add missing messages.

These are cut-n-pasted from the debug messages right above.
Comment 2 Timur Bakeyev 2007-06-02 21:22:09 UTC
(In reply to comment #1)
> Created an attachment (id=2223) [edit]
> Add missing messages.

Pawel, I'm adding your patch to the FreeBSD net/samba3 port. Hope, it'll solve the issues with ntlm_auth you have.

With best regards,
Timur
Comment 3 Kai Blin 2008-03-19 18:45:32 UTC
Committed to 3-2-test in 098380760d20bad2a45c3b12ab2a5e4d2b856175,
to 3-0-test in ef51a97332506c028b8689f7516234855d3d1b83 and added a patch for the same issue in 4-0-test in b6bb7621053bccc9d06b1b2ee9f71b1b1acf3b70